# $Revision: 1.13 $, $Date: 2004/05/06 18:20:55 $
%include	/usr/lib/rpm/macros.perl
%define	pdir	perlmenu
Summary:	PerlMenu - Perl library module for curses-based menus & data-entry templates
Summary(pl):	PerlMenu - modu Perla z menu opartymi na curses i szablonami dla danych
Name:		perl-PerlMenu
Version:	4.0
Release:	2
License:	LGPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/S/SK/SKUNZ/%{pdir}.v%{version}.tar.gz
# Source0-md5:	b931859ed581970f3fb05420316b39d3
Patch0:		%{name}-tput.patch
URL:		http://www.cc.iastate.edu/perlmenu/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PerlMenu - Perl library module for curses-based menus & data-entry
templates.

%description -l pl
PerlMenu - modu biblioteki Perla z menu opartymi na curses oraz
szablonami formularzy do wpisywania danych.

%prep
%setup  -q -n %{pdir}.v%{version}
%patch0 -p1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{perl_vendorlib},%{_examplesdir}/%{name}-%{version}}

install -m644 perlmenu.pm menuutil.pl $RPM_BUILD_ROOT%{perl_vendorlib}
for item in demo* ez* paint* template* ; do
	sed 's=#!/usr/local/bin/perl5=!/usr/bin/perl=' <$item \
	>$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}/$item
done
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc FAQ MENUUTIL_DOC MENU_DOC README RELEASE_NOTES TO_DO
%{perl_vendorlib}/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-PerlMenu.spec,v $
Revision 1.13  2004/05/06 18:20:55  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/22 22:08:34  ankry
- once more license fixed

Revision 1.11  2004/04/22 21:16:31  ankry
- v2 GPL is nowhere mentioned as a required license

Revision 1.10  2004/04/22 20:47:41  agaran
- licence field updated, package have attached GPLv2 and Artistic licences

Revision 1.9  2003/09/09 10:24:45  ankry
- spaces -> tab

Revision 1.8  2003/08/18 08:09:08  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.7  2003/05/28 13:00:58  malekith
- massive attack: source-md5

Revision 1.6  2003/05/25 06:24:54  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.5  2003/04/11 18:59:26  radek
- BR: perl-devel; do not BR: perl

Revision 1.4  2003/03/01 20:22:19  radek
- should be ready for perl-5.8.0; release++

Revision 1.3  2003/02/18 15:37:38  ankry
- massive attack: change CPAN URLs

Revision 1.2  2002/12/12 19:43:16  qboosh
- pl description

Revision 1.1  2002/12/11 12:22:25  wiget
- initial release
